| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::when_any< Args >::awaiter Struct Reference

Object returned by operator co_await(). Meant to be used by the standard library, not by a user. More...

`#include <when_any.h>`

Collaboration diagram for dpp::when_any< Args >::awaiter:
[legend]

## Public Member Functions

bool | await_ready () const noexcept
| First function called by the standard library when using co_await.
result | await_resume () const noexcept
| Third and final function called by the standard library when using co_await. Returns the result object.
bool | await_suspend (detail::std_coroutine::coroutine_handle<> caller) noexcept
| Second function called by the standard library when using co_await.

## Public Attributes

when_any * | self
| Pointer to the when_any object.

## Detailed Description

template<typename... Args>
struct dpp::when_any< Args >::awaiter

Object returned by operator co_await(). Meant to be used by the standard library, not by a user.

See also
  result

## Member Function Documentation

## ◆ await_ready()

template<typename... Args>

bool dpp::when_any< Args >::awaiter::await_ready | ( |  | ) | const

inline nodiscard noexcept

First function called by the standard library when using co_await.

Returns
  bool Whether the result is ready

## ◆ await_resume()

template<typename... Args>

result dpp::when_any< Args >::awaiter::await_resume | ( |  | ) | const

inline noexcept

Third and final function called by the standard library when using co_await. Returns the result object.

See also
  result

## ◆ await_suspend()

template<typename... Args>

bool dpp::when_any< Args >::awaiter::await_suspend | ( | detail::std_coroutine::coroutine_handle<> | caller | ) |

inline noexcept

Second function called by the standard library when using co_await.

Returns
  bool Returns false if we want to resume immediately.

## Member Data Documentation

## ◆ self

template<typename... Args>

when_any* dpp::when_any< Args >::awaiter::self

Pointer to the when_any object.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0